<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::filter::PidThrust Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1filter_1_1_pid_thrust.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1filter_1_1_pid_thrust-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::filter::PidThrust Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a <a class="el" href="classflair_1_1filter_1_1_pid.html" title="Class defining a PID. ">Pid</a> for Thrust.<br />
This <a class="el" href="classflair_1_1filter_1_1_pid.html" title="Class defining a PID. ">Pid</a> as an extra offset for compensating gravity.  
 <a href="classflair_1_1filter_1_1_pid_thrust.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_pid_thrust_8h_source.html">PidThrust.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::filter::PidThrust:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1filter_1_1_pid_thrust.png" usemap="#flair::filter::PidThrust_map" alt=""/>
  <map id="flair::filter::PidThrust_map" name="flair::filter::PidThrust_map">
<area href="classflair_1_1filter_1_1_control_law.html" title="Base class for control law input must be created by reimplemented class. output is created by this cl..." alt="flair::filter::ControlLaw" shape="rect" coords="0,112,135,136"/>
<area href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="flair::core::IODevice" shape="rect" coords="0,56,135,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,135,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab46191511449bc44699102a239eb82f6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ab46191511449bc44699102a239eb82f6">PidThrust</a> (const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a> *position, std::string name)</td></tr>
<tr class="memdesc:ab46191511449bc44699102a239eb82f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab46191511449bc44699102a239eb82f6">More...</a><br /></td></tr>
<tr class="separator:ab46191511449bc44699102a239eb82f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0332ced449a5257a484e484379921445"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a0332ced449a5257a484e484379921445">~PidThrust</a> ()</td></tr>
<tr class="memdesc:a0332ced449a5257a484e484379921445"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a0332ced449a5257a484e484379921445">More...</a><br /></td></tr>
<tr class="separator:a0332ced449a5257a484e484379921445"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4987d6892e567cce5af9b22dcf065542"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a4987d6892e567cce5af9b22dcf065542">Reset</a> (void)</td></tr>
<tr class="memdesc:a4987d6892e567cce5af9b22dcf065542"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset the control law equivalent to: <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ad82440a1c4d9b0409c8549f900991223" title="Reset integral to 0. ">ResetI()</a>; <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a5e856db9c472b9ca3b6b69eb54ffa18e" title="Set offset to specified value in ground station. ">SetDefaultOffset()</a>; SetValues(0,0);.  <a href="#a4987d6892e567cce5af9b22dcf065542">More...</a><br /></td></tr>
<tr class="separator:a4987d6892e567cce5af9b22dcf065542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad82440a1c4d9b0409c8549f900991223"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ad82440a1c4d9b0409c8549f900991223">ResetI</a> (void)</td></tr>
<tr class="memdesc:ad82440a1c4d9b0409c8549f900991223"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset integral to 0.  <a href="#ad82440a1c4d9b0409c8549f900991223">More...</a><br /></td></tr>
<tr class="separator:ad82440a1c4d9b0409c8549f900991223"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a240df5714f7ffe4fd2cb7765a21389ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a240df5714f7ffe4fd2cb7765a21389ee">SetOffset</a> (float value)</td></tr>
<tr class="memdesc:a240df5714f7ffe4fd2cb7765a21389ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set offset to a specified value.  <a href="#a240df5714f7ffe4fd2cb7765a21389ee">More...</a><br /></td></tr>
<tr class="separator:a240df5714f7ffe4fd2cb7765a21389ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e856db9c472b9ca3b6b69eb54ffa18e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a5e856db9c472b9ca3b6b69eb54ffa18e">SetDefaultOffset</a> (void)</td></tr>
<tr class="memdesc:a5e856db9c472b9ca3b6b69eb54ffa18e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set offset to specified value in ground station.  <a href="#a5e856db9c472b9ca3b6b69eb54ffa18e">More...</a><br /></td></tr>
<tr class="separator:a5e856db9c472b9ca3b6b69eb54ffa18e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a746b8f8afd363524b6b84a1fc8d11da2"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a746b8f8afd363524b6b84a1fc8d11da2">GetOffset</a> (void) const </td></tr>
<tr class="memdesc:a746b8f8afd363524b6b84a1fc8d11da2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get offset.  <a href="#a746b8f8afd363524b6b84a1fc8d11da2">More...</a><br /></td></tr>
<tr class="separator:a746b8f8afd363524b6b84a1fc8d11da2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35d8c2f7a19faaae43b3a6d2d3cc211a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a35d8c2f7a19faaae43b3a6d2d3cc211a">GetIntegral</a> (void) const </td></tr>
<tr class="memdesc:a35d8c2f7a19faaae43b3a6d2d3cc211a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get intergral part.  <a href="#a35d8c2f7a19faaae43b3a6d2d3cc211a">More...</a><br /></td></tr>
<tr class="separator:a35d8c2f7a19faaae43b3a6d2d3cc211a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac556b3702ad3352fdfad1bde19f16af0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ac556b3702ad3352fdfad1bde19f16af0">OffsetStepUp</a> (void)</td></tr>
<tr class="memdesc:ac556b3702ad3352fdfad1bde19f16af0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Step up the offset according to specified value in ground station.  <a href="#ac556b3702ad3352fdfad1bde19f16af0">More...</a><br /></td></tr>
<tr class="separator:ac556b3702ad3352fdfad1bde19f16af0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3810b92073bc3e5062a387e089b2295"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ac3810b92073bc3e5062a387e089b2295">OffsetStepDown</a> (void)</td></tr>
<tr class="memdesc:ac3810b92073bc3e5062a387e089b2295"><td class="mdescLeft">&#160;</td><td class="mdescRight">Step down the offset according to specified value in ground station.  <a href="#ac3810b92073bc3e5062a387e089b2295">More...</a><br /></td></tr>
<tr class="separator:ac3810b92073bc3e5062a387e089b2295"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdbec017ebadc52cef7e901ecd92d959"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#afdbec017ebadc52cef7e901ecd92d959">SetValues</a> (float p, float d)</td></tr>
<tr class="memdesc:afdbec017ebadc52cef7e901ecd92d959"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set input values.  <a href="#afdbec017ebadc52cef7e901ecd92d959">More...</a><br /></td></tr>
<tr class="separator:afdbec017ebadc52cef7e901ecd92d959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b77f7720b1406f48baa3c43cf87765a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a8b77f7720b1406f48baa3c43cf87765a">UseDefaultPlot</a> (const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a> *position)</td></tr>
<tr class="memdesc:a8b77f7720b1406f48baa3c43cf87765a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use default plot.  <a href="#a8b77f7720b1406f48baa3c43cf87765a">More...</a><br /></td></tr>
<tr class="separator:a8b77f7720b1406f48baa3c43cf87765a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1filter_1_1_control_law"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1filter_1_1_control_law')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td></tr>
<tr class="memitem:abd6d4ee32a9e01a2d1b0513a0aadafcb inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_control_law.html#abd6d4ee32a9e01a2d1b0513a0aadafcb">ControlLaw</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">core::Object</a> *parent, std::string name, uint32_t nb_out=1)</td></tr>
<tr class="memdesc:abd6d4ee32a9e01a2d1b0513a0aadafcb inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#abd6d4ee32a9e01a2d1b0513a0aadafcb">More...</a><br /></td></tr>
<tr class="separator:abd6d4ee32a9e01a2d1b0513a0aadafcb inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62210ace4d3338cbc528ed712e72ac27 inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_control_law.html#a62210ace4d3338cbc528ed712e72ac27">~ControlLaw</a> ()</td></tr>
<tr class="memdesc:a62210ace4d3338cbc528ed712e72ac27 inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a62210ace4d3338cbc528ed712e72ac27">More...</a><br /></td></tr>
<tr class="separator:a62210ace4d3338cbc528ed712e72ac27 inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace241d108bd0213135dbd6a5a561d0cf inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_control_law.html#ace241d108bd0213135dbd6a5a561d0cf">Output</a> (uint32_t index=0) const </td></tr>
<tr class="memdesc:ace241d108bd0213135dbd6a5a561d0cf inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="mdescLeft">&#160;</td><td class="mdescRight">Output value.  <a href="#ace241d108bd0213135dbd6a5a561d0cf">More...</a><br /></td></tr>
<tr class="separator:ace241d108bd0213135dbd6a5a561d0cf inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a228f8bf6857d96fa015bec9e016d2132 inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_control_law.html#a228f8bf6857d96fa015bec9e016d2132">Update</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">core::Time</a> time)</td></tr>
<tr class="memdesc:a228f8bf6857d96fa015bec9e016d2132 inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update using provided datas.  <a href="#a228f8bf6857d96fa015bec9e016d2132">More...</a><br /></td></tr>
<tr class="separator:a228f8bf6857d96fa015bec9e016d2132 inherit pub_methods_classflair_1_1filter_1_1_control_law"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3">IODevice</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9693b497752b466891eaafeb34bec4d3">More...</a><br /></td></tr>
<tr class="separator:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f">~IODevice</a> ()</td></tr>
<tr class="memdesc:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a05246988b486def40926d8491e1bcc5f">More...</a><br /></td></tr>
<tr class="separator:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229">AddDeviceToLog</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#af7b42de6bb3893df860063228b55c229">More...</a><br /></td></tr>
<tr class="separator:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9">AddDataToLog</a> (const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to the log.  <a href="#a2e0b7af75abdbf39843d8bf2e45f08b9">More...</a><br /></td></tr>
<tr class="separator:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a12d811c6926fb86da6b47f889109da66">More...</a><br /></td></tr>
<tr class="separator:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12">IsReady</a> (void) const </td></tr>
<tr class="memdesc:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">is device ready  <a href="#aee7828ae2eece2bace8e476dacc2bc12">More...</a><br /></td></tr>
<tr class="separator:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75e82ca2ae2fb7c39d973dd3d16bc698"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa325be57d48b268006120dde75dd65cc inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa325be57d48b268006120dde75dd65cc"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:aa325be57d48b268006120dde75dd65cc inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">ProcessUpdate</a> (<a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a3df9057ae23eb34f1b1dae8e7a4a9efc">More...</a><br /></td></tr>
<tr class="separator:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412">SetIsReady</a> (bool status)</td></tr>
<tr class="memdesc:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">set is ready  <a href="#a120fdcc3d50f6f076084cb6943fdf412">More...</a><br /></td></tr>
<tr class="separator:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classflair_1_1filter_1_1_control_law"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classflair_1_1filter_1_1_control_law')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td></tr>
<tr class="memitem:ab88bfe866cc8f9794bda115d57139ab8 inherit pro_attribs_classflair_1_1filter_1_1_control_law"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_control_law.html#ab88bfe866cc8f9794bda115d57139ab8">input</a></td></tr>
<tr class="memdesc:ab88bfe866cc8f9794bda115d57139ab8 inherit pro_attribs_classflair_1_1filter_1_1_control_law"><td class="mdescLeft">&#160;</td><td class="mdescRight">input matrix  <a href="#ab88bfe866cc8f9794bda115d57139ab8">More...</a><br /></td></tr>
<tr class="separator:ab88bfe866cc8f9794bda115d57139ab8 inherit pro_attribs_classflair_1_1filter_1_1_control_law"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0ec9102c1f3d5cea5e337ba02754f4b inherit pro_attribs_classflair_1_1filter_1_1_control_law"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_control_law.html#ad0ec9102c1f3d5cea5e337ba02754f4b">output</a></td></tr>
<tr class="memdesc:ad0ec9102c1f3d5cea5e337ba02754f4b inherit pro_attribs_classflair_1_1filter_1_1_control_law"><td class="mdescLeft">&#160;</td><td class="mdescRight">output matrix  <a href="#ad0ec9102c1f3d5cea5e337ba02754f4b">More...</a><br /></td></tr>
<tr class="separator:ad0ec9102c1f3d5cea5e337ba02754f4b inherit pro_attribs_classflair_1_1filter_1_1_control_law"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a <a class="el" href="classflair_1_1filter_1_1_pid.html" title="Class defining a PID. ">Pid</a> for Thrust.<br />
This <a class="el" href="classflair_1_1filter_1_1_pid.html" title="Class defining a PID. ">Pid</a> as an extra offset for compensating gravity. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab46191511449bc44699102a239eb82f6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::filter::PidThrust::PidThrust </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a> *&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html" title="Class defining a Pid for Thrust. This Pid as an extra offset for compensating gravity. ">PidThrust</a> at given position The <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html" title="Class defining a Pid for Thrust. This Pid as an extra offset for compensating gravity. ">PidThrust</a> will automatically be child of position-&gt;getLayout() Layout. After calling this function, position will be deleted as it is no longer usefull. <br />
 </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>position to display settings </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0332ced449a5257a484e484379921445"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::filter::PidThrust::~PidThrust </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4987d6892e567cce5af9b22dcf065542"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void flair::filter::PidThrust::Reset </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reset the control law equivalent to: <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ad82440a1c4d9b0409c8549f900991223" title="Reset integral to 0. ">ResetI()</a>; <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a5e856db9c472b9ca3b6b69eb54ffa18e" title="Set offset to specified value in ground station. ">SetDefaultOffset()</a>; SetValues(0,0);. </p>

<p>Reimplemented from <a class="el" href="classflair_1_1filter_1_1_control_law.html#a0892ecd37930c5d92a41449ab6fa1f10">flair::filter::ControlLaw</a>.</p>

</div>
</div>
<a class="anchor" id="ad82440a1c4d9b0409c8549f900991223"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::filter::PidThrust::ResetI </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reset integral to 0. </p>

</div>
</div>
<a class="anchor" id="a240df5714f7ffe4fd2cb7765a21389ee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::filter::PidThrust::SetOffset </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set offset to a specified value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>desired value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5e856db9c472b9ca3b6b69eb54ffa18e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::filter::PidThrust::SetDefaultOffset </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set offset to specified value in ground station. </p>

</div>
</div>
<a class="anchor" id="a746b8f8afd363524b6b84a1fc8d11da2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::filter::PidThrust::GetOffset </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get offset. </p>
<dl class="section return"><dt>Returns</dt><dd>current offset </dd></dl>

</div>
</div>
<a class="anchor" id="a35d8c2f7a19faaae43b3a6d2d3cc211a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::filter::PidThrust::GetIntegral </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get intergral part. </p>
<dl class="section return"><dt>Returns</dt><dd>current integral part </dd></dl>

</div>
</div>
<a class="anchor" id="ac556b3702ad3352fdfad1bde19f16af0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool flair::filter::PidThrust::OffsetStepUp </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Step up the offset according to specified value in ground station. </p>
<dl class="section return"><dt>Returns</dt><dd>false if offset is at its maximum (1) value, true otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="ac3810b92073bc3e5062a387e089b2295"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool flair::filter::PidThrust::OffsetStepDown </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Step down the offset according to specified value in ground station. </p>
<dl class="section return"><dt>Returns</dt><dd>false if offset is at its minimum (specified in ground station) value, true otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="afdbec017ebadc52cef7e901ecd92d959"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::filter::PidThrust::SetValues </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>d</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set input values. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">p</td><td>proportional value </td></tr>
    <tr><td class="paramname">d</td><td>derivative value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8b77f7720b1406f48baa3c43cf87765a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void flair::filter::PidThrust::UseDefaultPlot </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a> *&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Use default plot. </p>
<p>Plot the output values at position. <br />
 Plot consists of 4 curves: proportional part, derivative part, integral part and the sum of the three. <br />
 After calling this function, position will be deleted as it is no longer usefull. <br />
 </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>position to display plot </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classflair_1_1filter_1_1_control_law.html#a3c42c9c7ae276e10d2ebad3a6701210d">flair::filter::ControlLaw</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1filter.html">filter</a></li><li class="navelem"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">PidThrust</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
